Make input work with system python (for Universal Forwarder support)
Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3   

Description

It may be possible to make this input with system Python with a small change to the modular input class. Currently, it uses

make_splunkhome_path from splunk.appserver.mrsparkle.lib.util which won't be available on system Python. I could make that

optional though.

http://answers.splunk.com/answers/317058/file-meta-data-on-universal-forwarder.html#comment-317425

History

#1 - 10/29/2015 09:53 PM - Luke Murphey

- Subject changed from Make input work with system python to Make input work with system python (for Universal Forwarder support)

#2 - 11/13/2015 03:09 AM - Luke Murphey

Another request here: https://answers.splunk.com/answers/248308/how-can-i-monitor-a-directory-for-existence-of-a-f-1.html#comment-327239

#3 - 06/08/2016 08:20 PM - Luke Murphey

- Target version changed from 1.1 to 1.2

#4 - 03/24/2017 07:29 AM - Luke Murphey

I need to replace normalizeBoolean too.

#5 - 09/01/2017 04:39 AM - Luke Murphey

- Target version deleted (1.2)

#6 - 09/22/2017 05:19 AM - Luke Murphey

http://docs.splunk.com/Documentation/Splunk/latest/AdvancedDev/ModInputsIntro says:

Note: The Splunk universal forwarder does not provide a Python interpreter. If you intend to run the examples on a forwarder host, verify that a

Python interpreter is installed on the host or, if necessary, install one.

#7 - 09/22/2017 05:19 AM - Luke Murphey

- Status changed from New to In Progress

#8 - 09/22/2017 06:51 AM - Luke Murphey

- Target version set to 1.3

#9 - 09/22/2017 07:01 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

04/26/2024 1/1

http://answers.splunk.com/answers/317058/file-meta-data-on-universal-forwarder.html#comment-317425
https://answers.splunk.com/answers/248308/how-can-i-monitor-a-directory-for-existence-of-a-f-1.html#comment-327239
http://docs.splunk.com/Documentation/Splunk/latest/AdvancedDev/ModInputsIntro
http://www.tcpdf.org

